## JCash

## About

Draft program for the Java class of semester 2. The goal was to simulate basic cash machine that can read customer data from a `.csv` file and let the user view the data with crude forms of authentication.

## Overview

The program can read `.csv` file from disk and allows the user login to an account specified.
After login, the user can deposit, takeoff or transfer money from an account.
The application does not write any changes back into the file.

## Images

![preview.png](https://git.teridax.de/dhbw/JCash/raw/branch/main/meta/Preview.png)

## Repository structure

The `meta/` folder only contains metadata required for the README. Its not a build relevant folder.
Sample database files can be found under `res/`.

## CSV Database format

The first row is always ignored as this is generally contains the columns header.

Reference example:


| Bank                 | BLZ    | Kontonummer | PIN  | Kontostand | Kontoart  | Zins | Überziehungsbetrag | Kundennummer | Name    | Vorname | Straße                      |
| ---------------------- | -------- | ------------- | ------ | ------------ | ----------- | ------ | --------------------- | -------------- | --------- | --------- | ------------------------------ |
| VR Bank Rhein-Neckar | MA2424 | 4711        | 1234 | 45,90€    | Girokonto |      | 1000€              | 8745364      | Gunther | Peter   | Katzenköttel an der Strulle |
| Berliner Bank        | 19087  | 987456      | 4578 | 9,05€     | Sparkonto | 3%   |                     | 39845762     | Korb    | Jauch   | Unter der Brücke            |
