package me.teridax.jcash.gui.login;

import me.teridax.jcash.banking.management.Profile;

/**
 * Listens for changes in a selected account.
 */
@FunctionalInterface
public interface AccountSelectionListener {

    /**
     * Run when a new account is selected.
     * The selected account is set as the primary account of the profile
     *
     * @param account the profile for the selected account
     */
    void onAccountSelected(Profile account);
}
